apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: monitoring-ingress
  annotations:
    k8s.apisix.apache.org/http-to-https: "true"
    cert-manager.io/cluster-issuer: letsencrypt
spec:
  ingressClassName: apisix
  rules:
    - host: monitoring.pda1.sandbox.emplab.eu
      http:
        paths:
          - pathType: Prefix
            path: "/"
            backend:
              service:
                name: loki-grafana
                port:
                  number: 80
  tls:
    - hosts:
      - monitoring.pda1.sandbox.emplab.eu
      secretName: monitoring-pda1-sandbox-emplab-eu-cert
